openapi: 3.1.0
info:
  contact:
    email: teamperform@man.eu
    name: Team Perform
    url: https://rio.cloud
  description: "An API that provides performance data for assets and drivers.\n\n\
    ## Taxonomy\n\n* An `item` represents either an asset or a driver, depending on\
    \ the endpoint that was used.\n* `Ratings` are percentages between 0 to 100 and\
    \ measure efficiency driving in different disciplines\n* The `Severity of Usage`\
    \ rates the operating conditions between 0 and 100, from very easy to very hard\n\
    \n## Typical use cases\n\nData can be segmented in two forms in a given timeframe:\
    \ Either by asset or by driver. \nIn both cases, data can be retrieved for an\
    \ entire fleet or for any given asset/driver in the fleet.\nWhen requesting assets,\
    \ the `asset_ids` field will only contain the ID of the asset the `item` represents,\
    \ while the \n`driver_ids` field will contain the IDs of all drivers that drove\
    \ the asset in the requested timeframe.\nWhen requesting drivers the same behaviour\
    \ is applied vice versa.\n\n* Retrieve a collection of KPIs for one or all assets\
    \ in a fleet within a given timeframe\n* Retrieve a collection of KPIs for one\
    \ or all drivers in a fleet within a given timeframe\n\n## Example queries\n\n\
    get a collection of KPIs for all assets in a fleet\n```\nGET /assets?from=2022-12-01T00:00:00Z&to=2022-12-24T00:00:00Z\n\
    ```\nget a collection of KPIs for a specific asset in a fleet\n```\nGET /assets/5d53226e-80a5-4203-a980-f0775d7ee7c9?from=2022-12-01T00:00:00Z&to=2022-12-24T00:00:00Z\n\
    ```\nget a collection of KPIs for all drivers in a fleet\n```\nGET /drivers?from=2022-12-01T00:00:00Z&to=2022-12-24T00:00:00Z\n\
    ```\nget a collection of KPIs for a specific driver in a fleet\n```\nGET /drivers/5d53226e-80a5-4203-a980-f0775d7ee7c9?from=2022-12-01T00:00:00Z&to=2022-12-24T00:00:00Z\n\
    ```\n"
  title: Perform API
  version: 1.0.1
  x-api-id: 7900be55-62d2-41ef-ac14-8fdce6531b60
  x-audience: external-partner
servers:
- url: https://api.perform.rio.cloud/api
tags:
- description: Receive perform data for assets
  name: Assets
- description: Receive perform data for drivers
  name: Drivers
paths:
  /assets:
    get:
      operationId: getAssets
      parameters:
      - description: start date
        in: query
        name: from
        required: true
        schema:
          type: string
          format: date-time
      - description: end date
        in: query
        name: to
        required: true
        schema:
          type: string
          format: date-time
      - in: query
        name: include_opcon
        required: false
        schema:
          type: boolean
      - in: query
        name: kpi_set
        required: false
        schema:
          type: string
          enum:
          - DEFAULT
          - MINIMUM
          - EXTENDED
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PerformApiData"
          description: Successfully aggregated data
        default:
          $ref: https://opensource.zalando.com/problem/schema.yaml#/Problem
      security:
      - oauth2:
        - perform.partner-api.read
        - perform.fleet-assistant.read
      summary: Get perform data for entire fleet in the specified time range
      tags:
      - Assets
  /assets/{asset-id}:
    get:
      operationId: getAssetsById
      parameters:
      - description: start date
        in: query
        name: from
        required: true
        schema:
          type: string
          format: date-time
      - description: end date
        in: query
        name: to
        required: true
        schema:
          type: string
          format: date-time
      - description: asset ID
        in: path
        name: asset-id
        required: true
        schema:
          type: string
          format: uuid
      - in: query
        name: include_opcon
        required: false
        schema:
          type: boolean
      - in: query
        name: kpi_set
        required: false
        schema:
          type: string
          enum:
          - DEFAULT
          - MINIMUM
          - EXTENDED
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PerformApiData"
          description: Successfully aggregated data
        default:
          $ref: https://opensource.zalando.com/problem/schema.yaml#/Problem
      security:
      - oauth2:
        - perform.partner-api.read
        - perform.fleet-assistant.read
      summary: Get perform data for individual asset in the specified time range
      tags:
      - Assets
  /drivers:
    get:
      operationId: getDrivers
      parameters:
      - description: start date
        in: query
        name: from
        required: true
        schema:
          type: string
          format: date-time
      - description: end date
        in: query
        name: to
        required: true
        schema:
          type: string
          format: date-time
      - in: query
        name: include_opcon
        required: false
        schema:
          type: boolean
      - in: query
        name: kpi_set
        required: false
        schema:
          type: string
          enum:
          - DEFAULT
          - MINIMUM
          - EXTENDED
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PerformApiData"
          description: Successfully aggregated data
        default:
          $ref: https://opensource.zalando.com/problem/schema.yaml#/Problem
      security:
      - oauth2:
        - perform.partner-api.read
        - perform.fleet-assistant.read
      summary: Get perform data for entire fleet in the specified time range
      tags:
      - Drivers
  /drivers/{driver-id}:
    get:
      operationId: getDriversById
      parameters:
      - description: start date
        in: query
        name: from
        required: true
        schema:
          type: string
          format: date-time
      - description: end date
        in: query
        name: to
        required: true
        schema:
          type: string
          format: date-time
      - description: driver ID
        in: path
        name: driver-id
        required: true
        schema:
          type: string
          format: uuid
      - in: query
        name: include_opcon
        required: false
        schema:
          type: boolean
      - in: query
        name: kpi_set
        required: false
        schema:
          type: string
          enum:
          - DEFAULT
          - MINIMUM
          - EXTENDED
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PerformApiData"
          description: Successfully aggregated data
        default:
          $ref: https://opensource.zalando.com/problem/schema.yaml#/Problem
      security:
      - oauth2:
        - perform.partner-api.read
        - perform.fleet-assistant.read
      summary: Get perform data for individual driver in the specified time range
      tags:
      - Drivers
components:
  schemas:
    AggregatedFields:
      type: object
      properties:
        acceleration_pedal_count_with_cc:
          type: number
          format: double
          description: Number of acceleration pedal usages while in CC
        acceleration_pedal_rating:
          type: number
          format: double
          description: Acceleration pedal rating in percentage
        acceptable_idling_time:
          type: number
          format: double
          description: Duration of acceptable idling events in seconds. For BEV vehicles
            this attribute refers to standstill
        active_coasting_count:
          type: number
          format: double
          description: Active coasting operation (number)
        active_coasting_distance:
          type: number
          format: double
          description: Distance in coasting mode in kilometers
        active_coasting_time:
          type: number
          format: double
          description: Duration of active coasting in seconds
        ambient_temperature_max:
          type: number
          format: double
          description: Maximum ambient temperature in celsius
        ambient_temperature_min:
          type: number
          format: double
          description: Minimum ambient temperature in celsius
        asset_ids:
          type: array
          description: Assets
          items:
            type: string
            format: uuid
        asset_name:
          type: string
          description: Asset name
        average_driving_speed:
          type: number
          format: double
          description: Driving speed kilometer per hour
        average_operational_speed:
          type: number
          format: double
          description: Operating speed in kilometer per hour
        average_rpm:
          type: number
          format: double
          description: "Motor speed [rpm]"
        average_speed:
          type: number
          format: double
          description: Driving speed kilometer per hour
        average_weight:
          type: number
          format: double
          description: Average weight in tons
        braking_pedal_rating:
          type: number
          format: double
          description: Braking pedal rating in percentage
        co_2_emission:
          type: number
          format: double
          description: CO2 emissions in kilograms
        coasting_distance:
          type: number
          format: double
          description: Coasting distance in kilometers
        coasting_rating:
          type: number
          format: double
          description: Anticipatory driving rating in percentage
        coasting_to_driven_distance_percentage:
          type: number
          format: double
          description: "Coasting mode (proportion of distance traveled) [%]"
        cruise_control_consumption:
          type: number
          format: double
          description: Consumption with cruise control in liters per hundred kilometers
        cruise_control_distance:
          type: number
          format: double
          description: With cruise control distance in kilometers
        cruise_control_percentage:
          type: number
          format: double
          description: "With cruise control (percentage of travel distance) [%]"
        cruise_control_rating:
          type: number
          format: double
          description: Cruise control rating in percentage
        cruise_control_time:
          type: number
          format: double
          description: With cruise control duration in seconds
        distance_fuel_consumption:
          type: number
          format: double
          description: Driving consumption in kilometers per liter
        drive_program_efficiency_distance:
          type: number
          format: double
          description: Drive program efficiency distance in kilometers
        drive_program_efficiency_plus_distance:
          type: number
          format: double
          description: Drive program efficiency plus distance in kilometers
        drive_program_efficiency_plus_time:
          type: number
          format: double
          description: Drive program efficiency plus duration in seconds
        drive_program_efficiency_time:
          type: number
          format: double
          description: Drive program efficiency duration in seconds
        drive_program_emergency_distance:
          type: number
          format: double
          description: Drive program emergency distance in kilometers
        drive_program_emergency_time:
          type: number
          format: double
          description: Drive program emergency duration in seconds
        drive_program_fluid_distance:
          type: number
          format: double
          description: Drive program fluid distance in kilometers
        drive_program_fluid_time:
          type: number
          format: double
          description: Drive program fluid duration in seconds
        drive_program_heavy_duty_distance:
          type: number
          format: double
          description: Drive program heavy duty distance in kilometers
        drive_program_heavy_duty_time:
          type: number
          format: double
          description: Drive program heavy duty duration in seconds
        drive_program_manuever_distance:
          type: number
          format: double
          description: Drive program maneuver distance in kilometers
        drive_program_manuever_time:
          type: number
          format: double
          description: Drive program maneuver duration in seconds
        drive_program_offroad_distance:
          type: number
          format: double
          description: Drive program offroad distance in kilometers
        drive_program_offroad_time:
          type: number
          format: double
          description: Drive program offroad duration in seconds
        drive_program_offroad_with_assistance_distance:
          type: number
          format: double
          description: Drive program offroad with assistance distance in kilometers
        drive_program_offroad_with_assistance_time:
          type: number
          format: double
          description: Drive program offroad with assistance duration in seconds
        drive_program_performance_distance:
          type: number
          format: double
          description: Drive program performance distance in kilometers
        drive_program_performance_time:
          type: number
          format: double
          description: Drive program performance duration in seconds
        driver_ids:
          type: array
          description: Drivers
          items:
            type: string
        driver_name:
          type: string
          description: Driver name
        driving_consumption:
          type: number
          format: double
          description: Driving consumption in liters
        driving_time:
          type: number
          format: double
          description: Total driving time in seconds
        electric_acceleration_pedal_rating:
          type: number
          format: double
          description: Electric Acceleration rating in percentage
        electric_average_driving_consumption:
          type: number
          format: double
          description: Average driving consumption in kWh/km
        electric_average_idling_consumption:
          type: number
          format: double
          description: Average idling consumption in kWh/h
        electric_average_operating_consumption:
          type: number
          format: double
          description: Average operating consumption in kWh/km
        electric_average_operating_consumption_range:
          type: number
          format: double
          description: Operating range in km/kWh
        electric_cruise_control_rating:
          type: number
          format: double
          description: Electric Cruise Control rating in percentage
        electric_max_state_of_charge:
          type: number
          format: double
          description: Maximum state of charge in percentage
        electric_operating_consumption:
          type: number
          format: double
          description: Energy consumption while operating in kWh
        electric_overspeed_rating:
          type: number
          format: double
          description: Electric Overspeed rating in percentage
        electric_recuperation:
          type: number
          format: double
          description: Energy recuperated in kWh
        electric_recuperation_rating:
          type: number
          format: double
          description: Electric Recuperation rating in percentage
        electric_total_rating:
          type: number
          format: double
          description: Electric Total rating in percentage
        emergency_brake_count:
          type: number
          format: double
          description: Number of Emergency brake usages
        excessive_idling_count:
          type: number
          format: double
          description: Number of excessive idling events. For BEV vehicles this attribute
            refers to standstill
        excessive_idling_rating:
          type: number
          format: double
          description: Excessive idling rating. For BEV vehicles this attribute refers
            to standstill
        excessive_idling_time:
          type: number
          format: double
          description: Duration of excessive idling events in seconds. For BEV vehicles
            this attribute refers to standstill
        fuel_consumption:
          type: number
          format: double
          description: Operational consumption in liters
        fuel_efficiency:
          type: number
          format: double
          description: Fuel efficiency in liters per ton per 100 km
        gear_change_count:
          type: number
          format: double
          description: Number of gear change
        gear_change_per_km:
          type: number
          format: double
          description: Gear changes per kilometers
        harsh_acceleration_hard_count:
          type: number
          format: double
          description: Number of harsh hard acceleration events
        harsh_acceleration_hard_time:
          type: number
          format: double
          description: Duration of harsh hard acceleration events in seconds
        harsh_acceleration_medium_count:
          type: number
          format: double
          description: Number of harsh medium acceleration events
        harsh_acceleration_medium_time:
          type: number
          format: double
          description: Duration of harsh medium acceleration events in seconds
        harsh_acceleration_rating:
          type: number
          format: double
          description: Harsh acceleration rating
        harsh_braking_hard_count:
          type: number
          format: double
          description: Number of harsh hard braking events
        harsh_braking_hard_time:
          type: number
          format: double
          description: Duration of harsh hard braking events in seconds
        harsh_braking_medium_count:
          type: number
          format: double
          description: Number of harsh medium braking events
        harsh_braking_medium_time:
          type: number
          format: double
          description: Duration of harsh medium braking events in seconds
        harsh_braking_rating:
          type: number
          format: double
          description: Harsh braking rating
        idling_consumption:
          type: number
          format: double
          description: Idling consumption average in liters per kilometers
        idling_time:
          type: number
          format: double
          description: Standing time with idle speed in seconds. For BEV vehicles
            this attribute refers to standstill
        idling_with_pto_consumption:
          type: number
          format: double
          description: Duration spent idling with PTO in seconds
        idling_without_pto_consumption:
          type: number
          format: double
          description: Duration spent idling without PTO in seconds
        kickdown_count:
          type: number
          format: double
          description: Kickdown counts
        kickdown_distance:
          type: number
          format: double
          description: Kickdown distance in kilometers
        kickdown_percentage:
          type: number
          format: double
          description: Kick down percentage
        kickdown_time:
          type: number
          format: double
          description: Duration of kickdown in seconds
        mileage:
          type: number
          format: double
          description: Mileage in kilometers
        mileage_end:
          type: number
          format: double
          description: Mileage at end in kilometers
        mileage_start:
          type: number
          format: double
          description: Mileage at start in kilometers
        motor_brake_count:
          type: number
          format: double
          description: Usages of engine brake
        motor_brake_distance:
          type: number
          format: double
          description: Engine brake active distance in kilometers
        motor_brake_time:
          type: number
          format: double
          description: Engine brake active time in seconds
        move_off_count:
          type: number
          format: double
          description: Number of starts
        no_cruise_control_consumption:
          type: number
          format: double
          description: Consumption without cruise control in liters per hundred kilometers
        no_cruise_control_distance:
          type: number
          format: double
          description: Without cruise control distance in kilometers
        no_cruise_control_time:
          type: number
          format: double
          description: Without cruise control duration in seconds
        operating_conditions_score:
          type: number
          format: double
          description: Severity of Usage
        operating_days:
          type: number
          format: double
          description: Number of operating days
        operating_fuel_consumption:
          type: number
          format: double
          description: Operational consumption in liters per hundred kilometers
        operating_time:
          type: number
          format: double
          description: Operating time in seconds
        overspeed_percentage:
          type: number
          format: double
          description: "Proportion of overspeed > 85 km/h [%]"
        overspeed_rating:
          type: number
          format: double
          description: Overspeed rating in percentage
        passive_coasting_count:
          type: number
          format: double
          description: passive coasting operation (number)
        passive_coasting_distance:
          type: number
          format: double
          description: Distance in coasting mode in kilometers
        passive_coasting_time:
          type: number
          format: double
          description: Duration of coasting mode with cruise control in seconds
        pcca_distance:
          type: number
          format: double
          description: With PCCA distance in kilometers
        pcca_time:
          type: number
          format: double
          description: With PCCA duration in seconds
        result_from:
          type: string
          format: date-time
          description: Start date of the query
        result_to:
          type: string
          format: date-time
          description: End date of the query
        retarder_count:
          type: number
          format: double
          description: Number of retarder usages
        retarder_distance:
          type: number
          format: double
          description: Re-/Pritarder active distance in kilometers
        retarder_time:
          type: number
          format: double
          description: Re-/Pritarder active time in seconds
        revolutions_per_kilometer:
          type: number
          format: double
          description: Number of revolutions per kilometer
        rolling_distance:
          type: number
          format: double
          description: Rolling distance in kilometers
        rpm_class_10_time:
          type: number
          format: double
          description: "RPM class 10 [1300 - 1350 rev/min] duration in seconds"
        rpm_class_11_time:
          type: number
          format: double
          description: "RPM class 11 [1350 - 1400 rev/min] duration in seconds"
        rpm_class_12_time:
          type: number
          format: double
          description: "RPM class 12 [1400 - 1450 rev/min] duration in seconds"
        rpm_class_13_time:
          type: number
          format: double
          description: "RPM class 13 [1450 - 1500 rev/min] duration in seconds"
        rpm_class_14_time:
          type: number
          format: double
          description: "RPM class 14 [1500 - 1550 rev/min] duration in seconds"
        rpm_class_15_time:
          type: number
          format: double
          description: "RPM class 15 [1600 - 1650 rev/min] duration in seconds"
        rpm_class_16_time:
          type: number
          format: double
          description: "RPM class 16 [1600 - 1650 rev/min] duration in seconds"
        rpm_class_17_time:
          type: number
          format: double
          description: "RPM class 17 [1650 - 1700 rev/min] duration in seconds"
        rpm_class_18_time:
          type: number
          format: double
          description: "RPM class 18 [1700 - 1750 rev/min] duration in seconds"
        rpm_class_19_time:
          type: number
          format: double
          description: "RPM class 19 [1750 - 1800 rev/min] duration in seconds"
        rpm_class_1_time:
          type: number
          format: double
          description: "RPM class 1 [550 - 650 rev/min] duration in seconds"
        rpm_class_20_time:
          type: number
          format: double
          description: "RPM class 20 [1800 - 1850 rev/min] duration in seconds"
        rpm_class_21_time:
          type: number
          format: double
          description: "RPM class 21 [1850 - 1900 rev/min] duration in seconds"
        rpm_class_22_time:
          type: number
          format: double
          description: "RPM class 22 [1900 - 1950 rev/min] duration in seconds"
        rpm_class_23_time:
          type: number
          format: double
          description: "RPM class 23 [1950 - 2000 rev/min] duration in seconds"
        rpm_class_24_time:
          type: number
          format: double
          description: "RPM class 24 [2000 - 2050 rev/min] duration in seconds"
        rpm_class_25_time:
          type: number
          format: double
          description: "RPM class 25 [2050 - 2100 rev/min] duration in seconds"
        rpm_class_26_time:
          type: number
          format: double
          description: "RPM class 26 [2100 - 2150 rev/min] duration in seconds"
        rpm_class_27_time:
          type: number
          format: double
          description: "RPM class 27 [2150 - 2200 rev/min] duration in seconds"
        rpm_class_28_time:
          type: number
          format: double
          description: "RPM class 28 [2200 - 2250 rev/min] duration in seconds"
        rpm_class_29_time:
          type: number
          format: double
          description: "RPM class 29 [2250 - 2300 rev/min] duration in seconds"
        rpm_class_2_time:
          type: number
          format: double
          description: "RPM class 2 [650 - 750 rev/min] duration in seconds"
        rpm_class_30_time:
          type: number
          format: double
          description: "RPM class 30 [2300 - 2350 rev/min] duration in seconds"
        rpm_class_31_time:
          type: number
          format: double
          description: "RPM class 31 [2350 - 2400 rev/min] duration in seconds"
        rpm_class_32_time:
          type: number
          format: double
          description: "RPM class 32 [2400 - 2500 rev/min] duration in seconds"
        rpm_class_33_time:
          type: number
          format: double
          description: "RPM class 33 [2500 - 2600 rev/min] duration in seconds"
        rpm_class_34_time:
          type: number
          format: double
          description: "RPM class 34 [2600 - 2700 rev/min] duration in seconds"
        rpm_class_35_time:
          type: number
          format: double
          description: "RPM class 35 [2700 - 2800 rev/min] duration in seconds"
        rpm_class_36_time:
          type: number
          format: double
          description: "RPM class 36 [2800 - 2900 rev/min] duration in seconds"
        rpm_class_37_time:
          type: number
          format: double
          description: "RPM class 37 [> 2900 rev/min] duration in seconds"
        rpm_class_3_time:
          type: number
          format: double
          description: "RPM class 3 [750 - 850 rev/min] duration in seconds"
        rpm_class_4_time:
          type: number
          format: double
          description: "RPM class 4 [850 - 950 rev/min] duration in seconds"
        rpm_class_5_time:
          type: number
          format: double
          description: "RPM class 5 [950 - 1050 rev/min] duration in seconds"
        rpm_class_6_time:
          type: number
          format: double
          description: "RPM class 6 [1050 - 1150 rev/min] duration in seconds"
        rpm_class_7_time:
          type: number
          format: double
          description: "RPM class 7 [1150 - 1200 rev/min] duration in seconds"
        rpm_class_8_time:
          type: number
          format: double
          description: "RPM class 8 [1200 - 1250 rev/min] duration in seconds"
        rpm_class_9_time:
          type: number
          format: double
          description: "RPM class 9 [1250 - 1300 rev/min] duration in seconds"
        service_brake_count:
          type: number
          format: double
          description: Service brake usages
        service_brake_distance:
          type: number
          format: double
          description: Service brake active distance in kilometer
        service_brake_percentage:
          type: number
          format: double
          description: "Service braking distance (percentage of travel distance) [%]"
        service_brake_time:
          type: number
          format: double
          description: Service brake active distance in seconds
        speed_class_1_time:
          type: number
          format: double
          description: "Speed class 1 (0, 30 km/h] duration in seconds"
        speed_class_2_time:
          type: number
          format: double
          description: "Speed class 2 (30, 60 km/h] duration in seconds"
        speed_class_3_time:
          type: number
          format: double
          description: "Speed class 3 (60, 75 km/h] duration in seconds"
        speed_class_4_time:
          type: number
          format: double
          description: "Speed class 4 (75, 80 km/h] duration in seconds"
        speed_class_5_time:
          type: number
          format: double
          description: "Speed class 5 (80, 85 km/h] duration in seconds"
        speed_class_6_time:
          type: number
          format: double
          description: "Speed class 6 (85, 90 km/h] duration in seconds"
        speed_class_7_time:
          type: number
          format: double
          description: "Speed class 7 (90, 95 km/h] duration in seconds"
        speed_class_8_time:
          type: number
          format: double
          description: "Speed class 8 (95, 104 km/h] duration in seconds"
        speed_class_9_time:
          type: number
          format: double
          description: "Speed class 9 (> 104 km/h] duration in seconds"
        topology:
          $ref: "#/components/schemas/Topology"
          description: Topology information
        total_cruise_control_consumption:
          type: number
          format: double
          description: Consumption with cruise control in liters
        total_driving_consumption:
          type: number
          format: double
          description: Driving consumption in liters per hundred kilometers
        total_idling_consumption:
          type: number
          format: double
          description: Idling consumption in liters
        total_idling_count:
          type: number
          format: double
          description: Number of total idling events. For BEV vehicles this attribute
            refers to standstill
        total_no_cruise_control_consumption:
          type: number
          format: double
          description: Consumption without cruise control in liters
        total_number_of_days:
          type: integer
          format: int64
          description: Total number of days in the requested time range
        total_rating:
          type: number
          format: double
          description: Total rating in percentage
        traffic_restriction:
          $ref: "#/components/schemas/TrafficRestriction"
          description: Traffic Restriction information
      required:
      - asset_ids
      - driver_ids
      - topology
      - traffic_restriction
    PerformApiData:
      type: object
      properties:
        id:
          type: string
          format: uuid
        items:
          type: array
          items:
            $ref: "#/components/schemas/AggregatedFields"
      required:
      - id
      - items
    Topology:
      type: object
      properties:
        average_slope_down:
          type: number
          format: double
          description: Average slope down in degrees
        average_slope_up:
          type: number
          format: double
          description: Average slope up in degrees
        avg_altitude:
          type: number
          format: double
          description: Avg altitude in meters
        max_altitude:
          type: number
          format: double
          description: Max altitude in meters
        min_altitude:
          type: number
          format: double
          description: Min altitude in meters
    TrafficRestriction:
      type: object
      properties:
        evaluated_distance:
          type: number
          format: double
          description: Distance in km used for traffic evaluation
        free_flow:
          type: number
          format: double
          description: Distance in km where the relative possible speed of a road
            is greater than 60% of the normal speed
        slow_moving:
          type: number
          format: double
          description: Distance in km where the relative possible speed of a road
            is between 30% and 60% of the normal speed
        slow_moving_lost_time:
          type: integer
          format: int64
          description: Time lost while slow moving in seconds
        traffic_jam:
          type: number
          format: double
          description: Distance in km where the relative possible speed of a road
            is equal or less than 30% of the normal speed
        traffic_jam_lost_time:
          type: integer
          format: int64
          description: Time lost in traffic jams in seconds
  securitySchemes:
    oauth2:
      flows:
        clientCredentials:
          scopes:
            perform.fleet-assistant.read: Read access to perform data
            perform.partner-api.read: Read access to perform data
          tokenUrl: https://auth.iam.rio.cloud/oauth/token
      type: oauth2
x-zally-ignore: "224"
